Bug 1907893 - navSortUtils.spec.ts unit test failure
Summary: navSortUtils.spec.ts unit test failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.0
Assignee: Jeff Phillips
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-15 13:21 UTC by Jeff Phillips
Modified: 2021-02-24 15:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Version: 4.7.0-0.nightly-2020-12-14-165231 Cluster ID: 78e6fdcd-d4a2-440d-83fd-8435a8dfcc93 Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/87.0.4280.88 Safari/537.36
Last Closed: 2021-02-24 15:44:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7556 0 None open Bug 1907893: Fix nav items sort algorithm to work with latest node/browser versions 2020-12-15 13:21:59 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:44:56 UTC

Description Jeff Phillips 2020-12-15 13:21:12 UTC
Description of problem:

sort algorithm changed from node 10 and in chrome v70 from quicksort to timsort: https://v8.dev/blog/array-sort

The nav sort util `sortExtensionItems` works with quicksort but fails with timsort.

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:

1. install node version >= 12
2. `yarn test navSortUtils`

Actual results:

unit test failure

Expected results:

unit test pass

Additional info:

Comment 3 Andrew Ballantyne 2021-01-11 19:12:59 UTC
Verified on 4.7.0-0.nightly-2021-01-10-070949

Comment 5 errata-xmlrpc 2021-02-24 15:44:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.